Last Comment Bug 595620 - xpcshell: new test_componentsRegistered.js fails
: xpcshell: new test_componentsRegistered.js fails
Status: VERIFIED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: All All
: -- major (vote)
: seamonkey2.1b1
Assigned To: Serge Gautherie (:sgautherie)
:
:
Mentors:
http://mxr.mozilla.org/mozilla-centra...
Depends on:
Blocks: SmTestFail 534694 589667
  Show dependency treegraph
 
Reported: 2010-09-12 04:57 PDT by Serge Gautherie (:sgautherie)
Modified: 2010-09-22 16:33 PDT (History)
2 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
(Av1) Package the Layout debug extension [Checked in: Comment 3] (1.82 KB, patch)
2010-09-12 09:55 PDT, Serge Gautherie (:sgautherie)
bugspam.Callek: review+
Details | Diff | Splinter Review
(Cv1) Add needed -DENABLE_TESTS=1, Package @DLL_PREFIX@gkdebug@DLL_SUFFIX@ too (2.53 KB, patch)
2010-09-12 20:44 PDT, Serge Gautherie (:sgautherie)
bugspam.Callek: review+
Details | Diff | Splinter Review
(Cv1a) Add needed -DENABLE_TESTS=1, Package @DLL_PREFIX@gkdebug@DLL_SUFFIX@ too [Checked in: Comment 11] (3.21 KB, patch)
2010-09-12 20:50 PDT, Serge Gautherie (:sgautherie)
bugspam.Callek: review+
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2010-09-12 04:57:52 PDT
Example:
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1284173593.1284174881.627.gz
Linux comm-central-trunk debug test xpcshell on 2010/09/10 19:53:13
{
TEST-UNEXPECTED-FAIL | .../test_componentsRegistered.js | test failed (with xpcshell return code: 0), see following log:
...
TEST-UNEXPECTED-FAIL | /test_componentsRegistered.js | false == true - See following stack:
...
JS frame :: .../test_componentsRegistered.js :: run_test :: line 3
...
}

Code is
{
2     do_check_true("@mozilla.org/layout-debug/regressiontester;1" in
3                   Components.classes);
}

I would guess it's a build/packaging issue, either in Core or SeaMonkey...
Comment 1 Justin Wood (:Callek) 2010-09-12 07:02:03 PDT
> I would guess it's a build/packaging issue, either in Core or SeaMonkey...

Your right, its our bug.

From package-compare:
+bin/chrome/layoutdebug.jar
+bin/chrome/layoutdebug.manifest

+bin/components/layout_debug.xpt

Lets add it in debug builds *only*.


[I also see some other stuff in that list that might be worth investigating, another bug though, I'll tackle this week]
Comment 2 Serge Gautherie (:sgautherie) 2010-09-12 09:55:15 PDT
Created attachment 474539 [details] [diff] [review]
(Av1) Package the Layout debug extension
[Checked in: Comment 3]
Comment 3 Serge Gautherie (:sgautherie) 2010-09-12 10:03:59 PDT
Comment on attachment 474539 [details] [diff] [review]
(Av1) Package the Layout debug extension
[Checked in: Comment 3]

http://hg.mozilla.org/comm-central/rev/8d1b298446ac
Comment 4 Serge Gautherie (:sgautherie) 2010-09-12 13:58:34 PDT
(In reply to comment #3)
> http://hg.mozilla.org/comm-central/rev/8d1b298446ac

+
http://hg.mozilla.org/comm-central/rev/1bf06f6d4829
(Bv1) Add needed -DMOZ_DEBUG=1
Comment 5 Serge Gautherie (:sgautherie) 2010-09-12 20:27:15 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1284329277.1284332814.12645.gz&fulltext=1
Linux comm-central-trunk leak test build on 2010/09/12 15:07:57
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1284325879.1284327429.25584.gz&fulltext=1
OS X 10.5 comm-central-trunk leak test build on 2010/09/12 14:11:19

The packaging part is now fixed :-)
(almost...)

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1284333776.1284335444.22209.gz&fulltext=1
Linux comm-central-trunk debug test xpcshell on 2010/09/12 16:22:56
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1284329979.1284331648.8502.gz&fulltext=1
OS X 10.5 comm-central-trunk debug test xpcshell on 2010/09/12 15:19:39

Yet the failure still happens...
Comment 6 Serge Gautherie (:sgautherie) 2010-09-12 20:44:10 PDT
Created attachment 474605 [details] [diff] [review]
(Cv1) Add needed -DENABLE_TESTS=1, Package @DLL_PREFIX@gkdebug@DLL_SUFFIX@ too

Parts missed in comment 1:

http://mxr.mozilla.org/comm-central/source/mozilla/layout/Makefile.in
78 ifdef ENABLE_TESTS
http://mxr.mozilla.org/comm-central/source/mozilla/layout/tools/layout-debug/src/Makefile.in
46 LIBRARY_NAME    = gkdebug


The latter should fix:

Build:
+bin/components/libgkdebug.so

Xpcshell:
nsNativeModuleLoader::LoadModule(".../components/libgkdebug.so") - load FAILED, rv: 80004005, error:
	.../components/libgkdebug.so: cannot open shared object file: No such file or directory


Do I need any kind of |#ifndef MOZ_STATIC_BUILD|?
Comment 7 Justin Wood (:Callek) 2010-09-12 20:47:47 PDT
Comment on attachment 474605 [details] [diff] [review]
(Cv1) Add needed -DENABLE_TESTS=1, Package @DLL_PREFIX@gkdebug@DLL_SUFFIX@ too

I'll r+ this one, but PLLLLEASE one conrete issue per bug. In the future, I'll r- based on that alone, this test is already fixed.

If we don't adhere to that, tracking and release management is harder, by a good deal.
Comment 8 Justin Wood (:Callek) 2010-09-12 20:49:47 PDT
(In reply to comment #7)
> I'll r+ this one ...

> ... but PLLLLEASE one conrete issue per bug. In the future,
> I'll r- based on that alone, this test is already fixed.

Err missed c#5, sorry. I was wrong this is needed for this bug :/ (Thats what I get for reviewing while tired)
Comment 9 Serge Gautherie (:sgautherie) 2010-09-12 20:50:22 PDT
Created attachment 474610 [details] [diff] [review]
(Cv1a) Add needed -DENABLE_TESTS=1, Package @DLL_PREFIX@gkdebug@DLL_SUFFIX@ too
[Checked in: Comment 11]

Cv1, with layoutdebug.jar removal update.
Comment 10 Justin Wood (:Callek) 2010-09-12 20:55:42 PDT
Comment on attachment 474610 [details] [diff] [review]
(Cv1a) Add needed -DENABLE_TESTS=1, Package @DLL_PREFIX@gkdebug@DLL_SUFFIX@ too
[Checked in: Comment 11]

Not a fan of these removed-files.in changes, but I wont belabour the point
Comment 11 Serge Gautherie (:sgautherie) 2010-09-12 21:03:50 PDT
Comment on attachment 474610 [details] [diff] [review]
(Cv1a) Add needed -DENABLE_TESTS=1, Package @DLL_PREFIX@gkdebug@DLL_SUFFIX@ too
[Checked in: Comment 11]

http://hg.mozilla.org/comm-central/rev/9992caf4df07

Fwiw, would any kind of |#ifndef MOZ_STATIC_BUILD| be needed?
Comment 12 Justin Wood (:Callek) 2010-09-12 21:08:18 PDT
(In reply to comment #11)
> Fwiw, would any kind of |#ifndef MOZ_STATIC_BUILD| be needed?

I'm not sure, and won't have time to investigate until later this week at earliest.
Comment 13 Serge Gautherie (:sgautherie) 2010-09-13 01:40:36 PDT
V.Fixed, build and xpcshell.
Comment 14 Serge Gautherie (:sgautherie) 2010-09-22 16:33:46 PDT
(In reply to comment #11)
> Fwiw, would any kind of |#ifndef MOZ_STATIC_BUILD| be needed?

It probably was, but bug 598644 obsoleted this :->

Note You need to log in before you can comment on or make changes to this bug.